Subject: Re: [PATCH v3 0/2] git-gui: change to display the combined diff in the case of conflicts.

From: Johannes Sixt <[email-masked]>
Date: Wed, 31 Mar 2010 15:51:10 +0200

Am 3/31/2010 14:23, schrieb Jon Seymour:
> What about the safe (but complicated) diff -c by default (to prevent
> misinformed Use Remote/Local decisions, by default) and a "Conflicts
> Only" option (disabled by default) that shows the diff --cc output for
> those who know what they are doing?

You would like to have the worst of all three?

1. dangerous menu options
2. incomprehensible diff -c output
3. and a config option on top of it

I think we should have none of them.

Yes, I suggested diff -c, but after seeing how it works (better: not
works), I changed my mind.

What sort of user guidance is it to present alluring menu options "Use
local/remote version", but at the same time a scaring amount of diff -c
output.

-- Hannes